{
  inputs,
  outputs,
}:
{
  nixpkgs-stable-unstable = final: prev: {
    unstable = import inputs.nixpkgs {
      system = prev.system;
      config.allowUnfree = true;
    };
    stable = import inputs.nixpkgs-stable {
      system = prev.system;
      config.allowUnfree = true;
    };
  };

  input-flake-packages = final: prev: {
    sheet-organizer = inputs.sheet-organizer.packages.${prev.system}.default;
    music-reader = inputs.music-reader.defaultPackage.${prev.system};
  };

  # Makes gparted actually open
  gparted-xhost = self: super: {
    gparted-xhost = super.gparted.overrideAttrs (oldAttrs: {
      configureFlags = oldAttrs.configureFlags ++ [ "--enable-xhost-root" ];
    });
  };

}
